gtksourceview.SourceTag
Prev | The GtkSourceView Class Reference | Next

## gtksourceview.SourceTag

gtksourceview.SourceTag — Tag object for gtksourceview.SourceView

## Synopsis

    class gtksourceview.SourceTag(gtk.TextTag):
        def get_id()
        def get_style()
        def set_style(style)

## Ancestry

    +-- gobject.GObject
      +-- gtk.TextTag
        +-- gtksourceview.SourceTag
          +-- gtksourceview.SourceSyntaxTag
          +-- gtksourceview.SourcePatternTag

## Properties

"id" | Read-Write | ID used to refer to the source tag.
"tag-style" | Read-Write | The style associated to the source tag.

## Description

## Constructors

        gtksourceview.SourceTag()

Returns : | a new `gtksourceview.SourceTag`.

Creates a new `gtksourceview.SourceTag`.

## Methods

### gtksourceview.SourceTag.get_id

        def get_id()

Returns : | .......

The `get_id`() method .....

### gtksourceview.SourceTag.get_style

        def get_style()

Returns : | a `gtksourceview.SourceTagStyle` if found, or `None` if not found.

The `get_style`() method gets the style associated with the tag.

### gtksourceview.SourceTag.set_style

        def set_style(style)

`style` : | the `gtksourceview.SourceTagStyle`.

The `set_style`() Associates a given `style` with the current tag.

Prev | Up | Next
gtksourceview.SourceStyleScheme | Home | gtksourceview.SourceTagTable